/*
Interactions

Testing ReportsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package interactions

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/interactions"
)

func Test_interactions_ReportsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test ReportsAPIService CreateExport", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.CreateExport(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService CreateHighlightConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.CreateHighlightConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService CreateReportConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.CreateReportConfiguration(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService DeleteHighlightConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.DeleteHighlightConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService DeleteReportConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.DeleteReportConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService DeleteSubscriber", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string
		var subscriberId string

		resp, httpRes, err := apiClient.ReportsAPI.DeleteSubscriber(context.Background(), orgId, confId, subscriberId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService GetCohortReport", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.GetCohortReport(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService GetHighlightConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.GetHighlightConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService GetLastUpdateTime", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.GetLastUpdateTime(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService GetRawDataReport", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.GetRawDataReport(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService GetSlaceConnects", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.GetSlaceConnects(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService ListExports", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.ListExports(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService ListHighlightSubscribers", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.ListHighlightSubscribers(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService ListInteractionsWithMetrics", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ReportsAPI.ListInteractionsWithMetrics(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService ListReportsOrganizations", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.ReportsAPI.ListReportsOrganizations(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService UpdateHighlightConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.UpdateHighlightConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService UpdateReportConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string

		resp, httpRes, err := apiClient.ReportsAPI.UpdateReportConfiguration(context.Background(), orgId, confId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ReportsAPIService UpdateSubscriber", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var confId string
		var subscriberId string

		resp, httpRes, err := apiClient.ReportsAPI.UpdateSubscriber(context.Background(), orgId, confId, subscriberId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
